{{ if .Values.dynDNS.createZoneAsLandbDelegatedDomain }}
apiVersion: landb.operator.cern.ch/v1alpha1
kind: DelegatedDomain
metadata:
  name: {{ .Values.name }}-internal
  annotations:
    # This makes sure that the DelegatedDomain CR is only created after the creation of the CRD (by landb-operator)
    # With this annotation ArgoCD will not fail in case the CRD is not yet available
    argocd.argoproj.io/sync-options: SkipDryRunOnMissingResource=true
spec:
  description: {{ printf "This is a delegated domain for the %s IC" .Values.name }}
  domain: {{ .Values.dynDNS.zone | quote }}
  keyname: {{ trimSuffix "." .Values.dynDNS.secrets.internal.tsigKeyName }}
  view: internal

---

  {{ if .Values.dynDNS.registerInExternalView }}
apiVersion: landb.operator.cern.ch/v1alpha1
kind: DelegatedDomain
metadata:
  name: {{ .Values.name }}-external
  annotations:
    # This makes sure that the DelegatedDomain CR is only created after the creation of the CRD (by landb-operator)
    # With this annotation ArgoCD will not fail in case the CRD is not yet available
    argocd.argoproj.io/sync-options: SkipDryRunOnMissingResource=true
spec:
  description: {{ printf "This is a delegated domain for the %s IC" .Values.name }}
  domain: {{ .Values.dynDNS.zone | quote }}
  keyname: {{ trimSuffix "." .Values.dynDNS.secrets.external.tsigKeyName }}
  view: external
  {{ end }}
{{ end }}
